function [TargetDist] = target_dist (rx,Traj1,Traj2,Traj3,Traj4,AntPos,iCnt)

% range to target 1 to radar  position
TargetDist1 = sqrt((Traj1(iCnt,1)-AntPos(rx,1))^2 + ... 
                       (Traj1(iCnt,2)-AntPos(rx,2))^2 + ...
                       (Traj1(iCnt,3)-AntPos(rx,3))^2)' +...
               sqrt((Traj1(iCnt,1)-AntPos(3,1))^2 + ... 
                       (Traj1(iCnt,2)-AntPos(3,2))^2 + ...
                       (Traj1(iCnt,3)-AntPos(3,3))^2)';
% range to target 2 to radar  position
TargetDist2 = sqrt((Traj2(iCnt,1)-AntPos(rx,1))^2 + ... 
                       (Traj2(iCnt,2)-AntPos(rx,2))^2 + ...
                       (Traj2(iCnt,3)-AntPos(rx,3))^2)' +...
               sqrt((Traj2(iCnt,1)-AntPos(3,1))^2 + ... 
                       (Traj2(iCnt,2)-AntPos(3,2))^2 + ...
                       (Traj2(iCnt,3)-AntPos(3,3))^2)';
% range to target 3 to radar position
TargetDist3 = sqrt((Traj3(iCnt,1)-AntPos(rx,1))^2 + ... 
                       (Traj3(iCnt,2)-AntPos(rx,2))^2 + ...
                       (Traj3(iCnt,3)-AntPos(rx,3))^2)' +...
               sqrt((Traj3(iCnt,1)-AntPos(3,1))^2 + ... 
                       (Traj3(iCnt,2)-AntPos(3,2))^2 + ...
                       (Traj3(iCnt,3)-AntPos(3,3))^2)';
% range to target 4 to radar position
TargetDist4 = sqrt((Traj4(iCnt,1)-AntPos(rx,1))^2 + ... 
                       (Traj4(iCnt,2)-AntPos(rx,2))^2 + ...
                       (Traj4(iCnt,3)-AntPos(rx,3))^2)' +...
               sqrt((Traj4(iCnt,1)-AntPos(3,1))^2 + ... 
                       (Traj4(iCnt,2)-AntPos(3,2))^2 + ...
                       (Traj4(iCnt,3)-AntPos(3,3))^2)';
                   
TargetDist = [TargetDist1 TargetDist2 TargetDist3 TargetDist4];